## org.apache.commons.collections.buffer
Class AbstractBufferDecorator

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.buffer.AbstractBufferDecorator

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, Buffer

Direct Known Subclasses:
  UnmodifiableBuffer

    public abstract class AbstractBufferDecorator

extends AbstractCollectionDecorator
implements Buffer

Decorates another `Buffer` to provide additional behaviour.

Methods are forwarded directly to the decorated buffer.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `AbstractBufferDecorator()` Constructor only used in deserialization, do not use otherwise.
`protected` `AbstractBufferDecorator(Buffer buffer)` Constructor that wraps (not copies).

Method Summary
`java.lang.Object` `get()` Gets the next object from the buffer without removing it.
`protected Buffer` `getBuffer()` Gets the buffer being decorated.
`java.lang.Object` `remove()` Gets and removes the next object from the buffer.

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`add, addAll, clear, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### AbstractBufferDecorator

    protected AbstractBufferDecorator()

  Constructor only used in deserialization, do not use otherwise.

  Since:
    Commons Collections 3.1

### AbstractBufferDecorator

    protected AbstractBufferDecorator(Buffer buffer)

  Constructor that wraps (not copies).

  Parameters:
    `buffer` - the buffer to decorate, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if list is null

Method Detail

### getBuffer

    protected Buffer getBuffer()

  Gets the buffer being decorated.

  Returns:
    the decorated buffer

### get

    public java.lang.Object get()

  Description copied from interface: `Buffer`
  Gets the next object from the buffer without removing it.

  Specified by:
    `get` in interface `Buffer`
  Returns:
    the next object in the buffer, which is not removed

### remove

    public java.lang.Object remove()

  Description copied from interface: `Buffer`
  Gets and removes the next object from the buffer.

  Specified by:
    `remove` in interface `Buffer`
  Returns:
    the next object in the buffer, which is also removed

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.